org.apache.solr.cloud.overseer

## Enum OverseerAction

- java.lang.Object
- - java.lang.Enum<OverseerAction>
  - - org.apache.solr.cloud.overseer.OverseerAction

- All Implemented Interfaces:
    Serializable, Comparable<OverseerAction>

      public enum OverseerAction
      extends Enum<OverseerAction>

  Enum of actions supported by the overseer only. There are other actions supported which are public and defined in `CollectionParams.CollectionAction`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADDROUTINGRULE`
    `DELETECORE`
    `DOWNNODE`
    `LEADER`
    `QUIT`
    `REMOVEROUTINGRULE`
    `STATE`
    `UPDATESHARDSTATE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OverseerAction` | `get(String p)`
    `boolean` | `isEqual(String s)`
    `String` | `toLower()`
    `static OverseerAction` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static OverseerAction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LEADER

          public static final OverseerAction LEADER

    - #### DELETECORE

          public static final OverseerAction DELETECORE

    - #### ADDROUTINGRULE

          public static final OverseerAction ADDROUTINGRULE

    - #### REMOVEROUTINGRULE

          public static final OverseerAction REMOVEROUTINGRULE

    - #### UPDATESHARDSTATE

          public static final OverseerAction UPDATESHARDSTATE

    - #### STATE

          public static final OverseerAction STATE

    - #### QUIT

          public static final OverseerAction QUIT

    - #### DOWNNODE

          public static final OverseerAction DOWNNODE

  - ### Method Detail

    - #### values

          public static OverseerAction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OverseerAction c : OverseerAction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static OverseerAction valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### get

          public static OverseerAction get(String p)

    - #### isEqual

          public boolean isEqual(String s)

    - #### toLower

          public String toLower()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.